DescriptorProtos.ServiceDescriptorProtoOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.ServiceDescriptorProtoOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.ServiceDescriptorProto, DescriptorProtos.ServiceDescriptorProto.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.ServiceDescriptorProtoOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.MethodDescriptorProto` | `getMethod(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `int` | `getMethodCount()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.util.List<DescriptorProtos.MethodDescriptorProto>` | `getMethodList()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.MethodDescriptorProtoOrBuilder` | `getMethodOrBuilder(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.util.List<? extends DescriptorProtos.MethodDescriptorProtoOrBuilder>` | `getMethodOrBuilderList()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.ServiceOptions` | `getOptions()` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.ServiceOptions options = 3;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.ServiceOptions options = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`

    - #### getName

          java.lang.String getName()

      `optional string name = 1;`

    - #### getNameBytes

          ByteString getNameBytes()

      `optional string name = 1;`

    - #### getMethodList

          java.util.List<DescriptorProtos.MethodDescriptorProto> getMethodList()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethod

          DescriptorProtos.MethodDescriptorProto getMethod(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethodCount

          int getMethodCount()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethodOrBuilderList

          java.util.List<? extends DescriptorProtos.MethodDescriptorProtoOrBuilder> getMethodOrBuilderList()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethodOrBuilder

          DescriptorProtos.MethodDescriptorProtoOrBuilder getMethodOrBuilder(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### hasOptions

          boolean hasOptions()

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### getOptions

          DescriptorProtos.ServiceOptions getOptions()

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### getOptionsOrBuilder

          DescriptorProtos.ServiceOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.ServiceOptions options = 3;`